# Akamai\Open\EdgeGrid\Handler\Debug

#### Debug Response Guzzle Middleware Handler

## Synopsis

class Debug {

- // members
- protected static array $messages = ;
- protected $fp;

- // methods
- public void __construct()
- public Closure __invoke()

}

## Coverage

Methods | 100% | 2 / 2
Lines | 100% | 43 / 43

## Members

#### protected

- $fp
- $messages

## Methods

#### public

- __construct()
- __invoke() — Handle the request/response